org.apache.ignite.compute.gridify

## Class GridifyRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.compute.gridify.GridifyRuntimeException

- All Implemented Interfaces:
    Serializable

      public class GridifyRuntimeException
      extends IgniteException

  This defines gridify exception. This runtime exception gets thrown out of gridified methods in case if method execution resulted in undeclared exception.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GridifyRuntimeException(String msg)` Creates new gridify runtime exception with specified message.
    `GridifyRuntimeException(String msg, Throwable cause)` Creates new gridify runtime exception with specified message and cause.
    `GridifyRuntimeException(Throwable cause)` Creates new gridify runtime exception given throwable as a cause and source of error message.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GridifyRuntimeException

          public GridifyRuntimeException(String msg)

      Creates new gridify runtime exception with specified message.
      Parameters:
        `msg` - Exception message.

    - #### GridifyRuntimeException

          public GridifyRuntimeException(Throwable cause)

      Creates new gridify runtime exception given throwable as a cause and source of error message.
      Parameters:
        `cause` - Non-null throwable cause.

    - #### GridifyRuntimeException

          public GridifyRuntimeException(String msg,
                                         Throwable cause)

      Creates new gridify runtime exception with specified message and cause.
      Parameters:
        `msg` - Exception message.
        `cause` - Exception cause.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020